org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadRetryAbortOnAsyncBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadRetryAbortOnAsyncBean

    @Retry(maxRetries=1,
           delay=1000L,
           jitter=0L,
           abortOn=org.eclipse.microprofile.faulttolerance.exceptions.BulkheadException.class)
     @Bulkhead(value=1,
              waitingTaskQueue=1)
     @Asynchronous
     @ApplicationScoped
    public class BulkheadRetryAbortOnAsyncBean
    extends Object

Test to ensure that retries do not occur if BulkheadException is included in abortOn attribute.

Has a bulkhead of size 1 and a queue size of 1

Retries 1 time on any exception except BulkheadException with 1 second delay

### Constructor Summary

Constructors
Constructor and Description
`BulkheadRetryAbortOnAsyncBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadRetryAbortOnAsyncBean

    public BulkheadRetryAbortOnAsyncBean()

### Method Detail

#### test

    public Future<?> test(Barrier barrier)